| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Protected Attributes | Properties | Events | Private Member Functions | Private Attributes | List of all members
IG.Forms.WindowShiftControlNumeric Class Reference

Control for setting window positions, relative positions, sizes, positions, shifts, etc. More...

Inheritance diagram for IG.Forms.WindowShiftControlNumeric:
[legend]
Collaboration diagram for IG.Forms.WindowShiftControlNumeric:
[legend]

## Public Member Functions
| WindowShiftControlNumeric ()

## Protected Member Functions
void | OnValueChanged (object sender, EventArgs eventArgs)
| Triggers the ValueChanged event. More...
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Protected Attributes
vec2 | _shift = new vec2(0.0, 0.0)
double | _initialValueX
double | _initialValueY
double | _minValue
double | _maxValue
double | _increment

## Properties
string | Title`[get, set]`
| Title text that is written on the outer group box. More...
vec2 | Shift`[get, set]`
| Gets or sets the resulting shift stored in 2D vector structure of type vec2 More...
double | InitialValueX`[get, set]`
| Initial value of the first component of Shift. More...
double | InitialValueY`[get, set]`
| Initial value of the second component of Shift. More...
double | MinimumValue`[get, set]`
| Minimal value of components of Shift. More...
double | MaximumValue`[get, set]`
| Maximal value of components of Shift. More...
double | Increment`[get, set]`
| Increment for text controls for components of Shift. More...

## Events
EventHandler | ValueChanged
| Event that occurs when the value of window position (or shift, size, relative position, etc.) kept by this control changes. More...

## Private Member Functions
void | txtWindowShiftRelX_Validated (object sender, EventArgs e)
void | txtWindowShiftRelY_Validated (object sender, EventArgs e)
void | txtWindowShiftRelX_Enter (object sender, EventArgs e)
void | txtWindowShiftRelY_Enter (object sender, EventArgs e)
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
System.Windows.Forms.GroupBox | pnlOuter
System.Windows.Forms.NumericUpDown | txtWindowShiftRelY
System.Windows.Forms.Label | lblWindowRelY
System.Windows.Forms.NumericUpDown | txtWindowShiftRelX
System.Windows.Forms.Label | lblWindowShiftRelX

## Detailed Description

Control for setting window positions, relative positions, sizes, positions, shifts, etc.

This is a dummy control used for various tests such as window positioning.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Forms.WindowShiftControlNumeric.WindowShiftControlNumeric | ( |  | ) |
| inline

## Member Function Documentation

void IG.Forms.WindowShiftControlNumeric.OnValueChanged | ( | object | sender,
|  | EventArgs | eventArgs
| ) |  |
| inline protected

Triggers the ValueChanged event.

void IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelX_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.vec2.x.

void IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelY_Validated | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

References IG.Num.vec2.y.

void IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelX_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

void IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelY_Enter | ( | object | sender,
|  | EventArgs | e
| ) |  |
| inline private

override void IG.Forms.WindowShiftControlNumeric.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.WindowShiftControlNumeric.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

vec2 IG.Forms.WindowShiftControlNumeric._shift = new vec2(0.0, 0.0)
| protected

double IG.Forms.WindowShiftControlNumeric._initialValueX
| protected

double IG.Forms.WindowShiftControlNumeric._initialValueY
| protected

double IG.Forms.WindowShiftControlNumeric._minValue
| protected

double IG.Forms.WindowShiftControlNumeric._maxValue
| protected

double IG.Forms.WindowShiftControlNumeric._increment
| protected

System.ComponentModel.IContainer IG.Forms.WindowShiftControlNumeric.components = null
| private

Required designer variable.

System.Windows.Forms.GroupBox IG.Forms.WindowShiftControlNumeric.pnlOuter
| private

System.Windows.Forms.NumericUpDown IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelY
| private

System.Windows.Forms.Label IG.Forms.WindowShiftControlNumeric.lblWindowRelY
| private

System.Windows.Forms.NumericUpDown IG.Forms.WindowShiftControlNumeric.txtWindowShiftRelX
| private

System.Windows.Forms.Label IG.Forms.WindowShiftControlNumeric.lblWindowShiftRelX
| private

## Property Documentation

string IG.Forms.WindowShiftControlNumeric.Title
| get set

Title text that is written on the outer group box.

vec2 IG.Forms.WindowShiftControlNumeric.Shift
| get set

Gets or sets the resulting shift stored in 2D vector structure of type vec2

double IG.Forms.WindowShiftControlNumeric.InitialValueX
| get set

Initial value of the first component of Shift.

double IG.Forms.WindowShiftControlNumeric.InitialValueY
| get set

Initial value of the second component of Shift.

double IG.Forms.WindowShiftControlNumeric.MinimumValue
| get set

Minimal value of components of Shift.

double IG.Forms.WindowShiftControlNumeric.MaximumValue
| get set

Maximal value of components of Shift.

double IG.Forms.WindowShiftControlNumeric.Increment
| get set

Increment for text controls for components of Shift.

## Event Documentation

EventHandler IG.Forms.WindowShiftControlNumeric.ValueChanged

Event that occurs when the value of window position (or shift, size, relative position, etc.) kept by this control changes.

The documentation for this class was generated from the following files:

- igforms/Utilities/WindowPositioner/Old/ShiftControlNumeric.cs
- igforms/Utilities/WindowPositioner/Old/ShiftControlNumeric.Designer.cs